//////////////////////////////////////////////////////////////////////////////////////
//  
//  FMPluginPreferences.h - Sample support file for FileMaker plug-in
//
//  Copyright 2003-2005 by 24U Software. All rights reserved.
//
//  Written by Tomas Zahradnicky & HOnza Koudelka
//
////////////////////////////////////////////////////////////////////////////////
//
//  This example is intended for a FileMaker plug-in based on 24U FM Template,
//  a stationery from 24u Software.
//
//  The latest version of 24U FM Template is available for download from:
//
//  http://24uSoftware.com/FMTemplate  or  http://www.NewMillennium.com/
//
////////////////////////////////////////////////////////////////////////////////
//
//  24U Sample Code - Terms of use
//
//  You may incorporate this sample code into your products without
//  restriction, though the code has been provided "AS IS" and the
//  responsibility for its operation is 100% yours.
//
//  You are not however permitted to redistribute the source
//  as "24U Sample Code" after having made changes.
//
//  If you are going to redistribute the source with references to
//  24U Software, we require that you make it clear in the source that
//  the code was descended from 24U Sample Code, but that you've made changes.
//
////////////////////////////////////////////////////////////////////////

//
//  This file provides support for displaying a preferences dialog
//  after the user clicks on the Configure button in the application
//  preferences of FileMaker Pro.
//
////////////////////////////////////////////////////////////////////////////////


#ifndef __FMPluginPreferences_h__
#define __FMPluginPreferences_h__

    #ifndef _h_Types_
        #include "FMXTypes.h" 
    #endif

    #if __cplusplus
        extern "C" {
    #endif
  
    #pragma FMX_PACK_ON
        struct PluginPreferences{
            struct {
                FMX_UShort red;
                FMX_UShort green;
                FMX_UShort blue;
            } fColor;
            FMX_Boolean fBold;
            FMX_Boolean fUnderline;    
            FMX_Boolean fItalic;
        } FMX_PACK;
    #pragma FMX_PACK_OFF
    
    void                        DisplayPreferences();
    void                        ReadPreferences();
    const PluginPreferences*    GetPreferences();
  
  #if __cplusplus
    }
  #endif
#endif // __FMPluginPreferences_h__

